This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 501883 - javadoc messed up in libguestfs java documentation
javadoc messed up in libguestfs java documentation
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-21 04:33 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:04:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:33:02 EDT
Paragraphs in the javadoc run together.  We need to change the
generated javadoc so that paragraph breaks are marked with a <p>.
See also:

http://java.sun.com/j2se/javadoc/writingdoccomments/
Comment 1 Richard W.M. Jones 2009-05-26 05:47:47 EDT
This is an upstream bug, so moved to 'Virtualization Tools'
product.
Comment 2 Richard W.M. Jones 2009-05-27 07:47:47 EDT
The javadoc is improved (although by no means perfected)
by this commit:

http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=1b2c0e34b15a8f41f5036d127d60efed687b6c97

To make it really good we would need to convert the POD
markup into Javadoc markup, eg. L<...> -> {@link ...}
which is more work than I really want to get into.
Comment 3 Fedora Update System 2009-05-27 09:23:46 EDT
libguestfs-1.0.33-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.33-1.fc11
Comment 4 Fedora Update System 2009-05-29 02:03:56 EDT
libguestfs-1.0.36-1.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.36-1.fc11.2
Comment 5 Fedora Update System 2009-06-02 11:10:30 EDT
libguestfs-1.0.38-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.38-1.fc11
Comment 6 Fedora Update System 2009-06-04 11:39:47 EDT
libguestfs-1.0.41-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.41-1.fc11
Comment 7 Fedora Update System 2009-06-06 13:58:08 EDT
libguestfs-1.0.42-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.42-1.fc11
Comment 8 Fedora Update System 2009-06-23 05:15:34 EDT
libguestfs-1.0.51-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.51-1.fc11
Comment 9 Fedora Update System 2009-06-29 15:28:10 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 10 Fedora Update System 2009-07-02 19:26:57 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 11 Fedora Update System 2009-07-11 05:27:56 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 12 Fedora Update System 2009-07-11 13:13:18 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-19 06:28:37 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Richard W.M. Jones 2010-03-27 06:04:47 EDT
Fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.